Subject: [Jmap] Question: Mandate core capability on each API call?

From: Benoît TELLIER <[email-masked]>
Date: Fri, 27 Nov 2020 11:34:51 +0000

Hello!

First I'm very happy to report I have been successfully using https://github.com/iNPUTmice/lttrs-android on top to (a slightly modified James server). This leads to the following code changes: https://github.com/linagora/james-project/pull/4089

An incompatibility was found: In James we so far mandate the core capability on every API calls, in addition to extra capabilities (mail, submission for instance). For my experiments, I relaxed this requirements. I also think that in doubt clients can always position this capability to avoid issues.

However my question is: as a server, should I reject api requests not using `urn:ietf:params:jmap:core` in the using field?

Thanks for answer ;-)

Benoit